Package org.python.core

# Enum CompileMode

java.lang.Object
java.lang.Enum<CompileMode>
org.python.core.CompileMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CompileMode>`, `java.lang.constant.Constable`

public enum CompileMode extends Enum<CompileMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`eval`
`exec`
`single`

## Method Summary

Modifier and Type
Method
Description
`static CompileMode`
`getMode(String mode)`
`static CompileMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompileMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### eval

public static final CompileMode eval

### single

public static final CompileMode single

### exec

public static final CompileMode exec

## Method Details

### values

public static CompileMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompileMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMode

public static CompileMode getMode(String mode)